Page MenuHomePhabricator

Implement the Wikimedia Foundation Call to Action 2015
Closed, InvalidPublic

Description

As the Wikimedia Foundation initiated the 2015 strategy process, we reviewed our accomplishments and challenges from the prior year. We identified a need for better alignment, improved processes, and greater clarity.

In response the WMF developed a set of actions for 2015, designed to focus the organization around immediate and long-term mission-driven opportunities. These objectives are intended to reinforce the core of the Wikimedia Foundation and prepare us for the future. They reflect our commitment and calibration around excellence, community, and innovation.

We are calling them our 2015 Call to Action.

Improve technology & execution

Focus on knowledge & community

Support innovation & new knowledge

Source -- some actions have been slightly edited to work better as titles of Phabricator tasks.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Qgil created this task.May 6 2015, 4:16 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: WMF-Call-To-Action.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 4:16 PM
Qgil updated the task description. (Show Details)May 6 2015, 4:38 PM
Qgil set Security to None.
Qgil updated the task description. (Show Details)May 6 2015, 4:43 PM
Elitre added a subscriber: Elitre.May 11 2015, 12:28 PM
Qgil updated the task description. (Show Details)Jun 9 2015, 6:19 PM
Qgil updated the task description. (Show Details)Aug 20 2015, 6:29 PM

Is the "call to action" a 2015-2016 thing, or literally solar year 2015?

Qgil added a comment.Nov 30 2015, 6:02 PM

This Call to Action is planned to continue guiding the WMF until the end of the fiscal year (end of June 2016).

After 9 months, 0 of the "Blocked by" tasks listed in this task have been resolved. There are 5 months left.

Qgil added a comment.Feb 2 2016, 2:46 PM

I'm keeping an eye on our communication and actions ref this Call to Action 2015. Creating these tasks was an experiment that I had requested. I will eventually resolve this, as the WMF resolved the reporting on the Call to Action 2015.

Are the blocking tasks being worked on or not? If so, where is the work being performed, tracked and reported?

At this point, the tracking bugs are just adding noise to our issue tracker, see e.g. T98358#2136837. Can we please close all of them invalid? Thanks.

Qgil closed this task as Invalid.Apr 22 2016, 8:43 AM

Agreed. This was a well-intentioned experiment that didn't work as I expected. Sorry for the expectations created and the noise.

I will close the tasks as Invalid and I will archive WMF-Call-To-Action .